From a69aa22fa8a4fe0927bb73716c2f7c9d2580a51d Mon Sep 17 00:00:00 2001
From: Roman Perepelitsa <roman.perepelitsa@gmail.com>
Date: Tue, 16 May 2023 10:43:49 +0200
Subject: show the right cwd when some part of it gets renamed (#2304)

---
 internal/p10k.zsh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index ae9ffacd..a3541bac 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -1904,7 +1904,7 @@ prompt_dir() {
       else
         local key=
       fi
-      if ! _p9k_cache_ephemeral_get $0 $e $i $_p9k__cwd || [[ $key != $_p9k__cache_val[1] ]]; then
+      if ! _p9k_cache_ephemeral_get $0 $e $i $_p9k__cwd $p || [[ $key != $_p9k__cache_val[1] ]]; then
         local rtail=${(j./.)rparts[i,-1]}
         local parent=$_p9k__cwd[1,-2-$#rtail]
         _p9k_prompt_length $delim
-- 
cgit v1.2.3